package com.github.jfcloud.gene.lis.entity;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

@Accessors(chain = true)
@Data
public class HtScienceApply {

    /**
     * 主键ID，非自增
     */
    private Long id;

    /**
     * 机构ID，HT_INFO_HSP机构信息表 HT_INFO_DEP
     */
    private String hspId  = "-1";

    /**
     * 中心机构ID，HT_INFO_HSP机构信息表 （2101101001惠康动物检测中心）
     */
    private String centerHspId = "2101101001";

    /**
     * 经销商ID ，HT_INFO_DEALERS经销商信息表（220844003内部用户）
     */
    private String dealersId = "220844003";

    /**
     * 宠物种类1193，字典HT_BAS_DICT
     */
    private Integer petType;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 联系方式
     */
    private String phone;

    /**
     * 创建人姓名
     */
    private String createName;

    /**
     * 创建人ID
     */
    private String createId;

    /**
     * 创建时间
     */
    private Date createTime = new Date();

    /**
     * 性别1002，字典
     */
    private Integer sex = -1;

    /**
     * 年龄
     */
    private Integer age = -1;

    /**
     * 年龄单位1013，字典 0时 1天 2月 3岁
     */
    private Integer ageUnit = 3;

    /**
     * 年龄显示
     */
    private String ageDisplay = "{\"Year\":\"0\",\"Month\":\"0\",\"Day\":\"0\"}";

    /**
     * 加急标志 0/1
     */
    private Integer fastFlag = 0;

    /**
     * 申请科室，HT_BAS_DEP_USER科室关联人员信息表
     */
    private String applyDep = "-1";

    /**
     * 申请医生
     */
    private String applyDoc = "";

    /**
     * 申请医生ID，HT_INFO_USER_EXTEND人员信息扩展表
     */
    private String applyDocId = "-1";

    /**
     * 申请时间
     */
    private Date applyTime;

    /**
     * 送检人，HT_INFO_USER_EXTEND人员信息扩展表
     */
    private String deliverOper = "";

    /**
     * 送检人ID，HT_INFO_USER_EXTEND人员信息扩展表
     */
    private String deliverOperId = "-1";

    /**
     * 送检时间
     */
    private Date deliverTime;

    /**
     * 标本ID，HT_DICT_SAMPLE 1000000002血清
     */
    private String sampleId = "1000000002";

    /**
     * 标本规格，0固定
     */
    private Integer sampleFomartId = 0;

    /**
     * 样本数
     */
    private Integer sampleCount;

    /**
     * 编号前缀
     */
    private String preText;

    /**
     * 起始编号，与样本数的位数相同
     */
    private String beginNo;

    /**
     * 登记状态 0待提交
     */
    private Integer status = 0;

    /**
     * 样本编号 HKYBKY20250326-14-15（HKYBKY+日期+当天编号最大值+（当天编号最大值+样本数））
     */
    private String sampleNo;

}
