package com.github.jfcloud.gene.sample.enums;

/**
 * 年龄单位枚举
 */
public enum AgeUnitEnum {
    DAY("d","天"),
    MONTH("m","月"),
    YEAR("y","年")
    ;

    private String code;
    private String label;

    AgeUnitEnum(String code, String value) {
        this.code = code;
        this.label = value;
    }

    public static String getLabel(String code){
        if(code == null){
            return null;
        }
        for(AgeUnitEnum whetherEnum : AgeUnitEnum.values()){
            if(code.equals(whetherEnum.getCode())){
                return whetherEnum.getLabel();
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }
}
