-- 送检单主表
CREATE TABLE sample_food
(
    id                         BIGINT PRIMARY KEY COMMENT '检测单ID',
    sample_id                  BIGINT       not null COMMENT '样本ID',
    purpose                    VARCHAR(255) COMMENT '送检目的',
    sender_name                VARCHAR(255) NOT NULL COMMENT '送检方名称',
    sender_address             VARCHAR(255) NOT NULL COMMENT '送检方地址',
    sender_contact_id          BIGINT       NOT NULL COMMENT '送检方联系人id',
    sender_contact_name        VARCHAR(255) NOT NULL COMMENT '送检方联系人名称',
    sender_phone               VARCHAR(30)  NOT NULL COMMENT '送检方联系电话',
    sender_email               VARCHAR(100) COMMENT '送检方电子邮箱',
    sample_type                VARCHAR(255) COMMENT '样品类型',
    sample_photo               VARCHAR(255) COMMENT '样品照片',
    sample_photo_other         VARCHAR(255) COMMENT '样品照片-其他',
    storage_requirements       VARCHAR(255) NOT NULL COMMENT '样品储存要求',
    storage_requirements_other VARCHAR(255) NULL COMMENT '样品储存要求-其他',
    retention_period           VARCHAR(255) COMMENT '样品保留期限',
    hazard                     CHAR(1) COMMENT '是否危险性样品 0否 1是',
    hazard_description         VARCHAR(255) COMMENT '样品危害描述',
    hazard_description_other   VARCHAR(255) COMMENT '样品危害描述-其他',
    report_method              VARCHAR(100) COMMENT '报告方式',
    report_type                VARCHAR(50)  NOT NULL COMMENT '报告类型',
    has_evaluation             CHAR(1)      NOT NULL COMMENT '是否评判结果 0否 1是',
    dry_basis                  CHAR(1)      NOT NULL COMMENT '检测结果是否以干基计 0否 1是',
    other_requirements         VARCHAR(255) COMMENT '其他要求',
    service_deadline           VARCHAR(255) NOT NULL COMMENT '服务时限',

    receiver_id                BIGINT       NULL COMMENT '收样人',
    receiver_name              varchar(255) NULL COMMENT '收样人姓名',

    deleted                    char(1)      NOT null default '0' COMMENT '是否被删除',
    create_by                  varchar(255) COMMENT '创建人',
    create_time                DATETIME     NULL COMMENT '创建时间',
    update_by                  varchar(255) COMMENT '更新人',
    update_time                DATETIME     NULL COMMENT '更新时间',
    tenant_id                  bigint COMMENT '租户ID',
    dept_id                    bigint COMMENT '部门ID'
) COMMENT '宠物食品检测表';

-- 样品信息表
CREATE TABLE sample_food_detail
(
    id                  BIGINT PRIMARY KEY AUTO_INCREMENT COMMENT '样品ID',
    sample_food_id      BIGINT COMMENT '关联的宠物食品检测表ID',
    sample_name         VARCHAR(255) NOT NULL COMMENT '样品名称',
    manufacturer        VARCHAR(255) COMMENT '生产商',
    production_date     DATE COMMENT '生产日期',
    batch_number        VARCHAR(50) COMMENT '批号',
    quantity            VARCHAR(10)  NOT NULL COMMENT '数量',
    sample_status       VARCHAR(50) COMMENT '样品状态',
    sample_status_other VARCHAR(255) COMMENT '样品状态-其他',
    packaging           VARCHAR(50) COMMENT '包装方式',
    packaging_other     VARCHAR(255) COMMENT '包装方式-其他',
    detection_items     TEXT         NOT NULL COMMENT '检测项目',
    other_info          TEXT COMMENT '其他补充信息'
) COMMENT '宠物食品检测明细表';